Bug 191046 - sysutils/moosefs-master: Upgrade to 1.6.27-5 and various fixes
sysutils/moosefs-master: Upgrade to 1.6.27-5 and various fixes
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Only Me
Assigned To: John Marino
Depends on: 186411
  Show dependency treegraph
Reported: 2014-06-15 02:00 UTC by takeda
Modified: 2014-07-12 10:20 UTC (History)
3 users (show)

See Also:

moosefs-master (12.29 KB, patch)
2014-06-15 02:00 UTC, takeda
no flags Details | Diff
moosefs-chunkserver (5.50 KB, patch)
2014-06-15 02:01 UTC, takeda
no flags Details | Diff
moosefs-client (3.60 KB, patch)
2014-06-15 02:02 UTC, takeda
no flags Details | Diff
moosefs-master (12.25 KB, patch)
2014-06-15 02:11 UTC, takeda
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takeda 2014-06-15 02:00:35 UTC
Created attachment 143788 [details]

This is a patch upgrades moosefs to 1.6.27-5.

It also includes following fixes:
- support for staging
- fixing issues with config locations
- updated rc scripts
- cgiserv now runs as an unprivileged user
- ability to reload config without restarting

Note: please update moosefs-chunkserver and moosefs-client at the same time.
Comment 1 takeda 2014-06-15 02:01:43 UTC
Created attachment 143789 [details]
Comment 2 takeda 2014-06-15 02:02:16 UTC
Created attachment 143790 [details]
Comment 3 takeda 2014-06-15 02:11:21 UTC
Created attachment 143791 [details]

Minor fixes.
Comment 4 takeda 2014-06-22 03:25:45 UTC
Could I get an update regarding this?
Comment 5 chifeng 2014-06-27 02:59:42 UTC
Yes, I think we can commit these patchs. Thanks!
Comment 6 John Marino freebsd_committer 2014-07-12 08:12:52 UTC
I must be missing something.  These patches remove bsd.port.moosefs.mk which defines PORTVERSION and PORTREVISION among other things, but it doesn't seem to move the definition to the master port.

All I see is DISTVERSION hardcoded.

So what gives?  Is this a giant oversight or did I miss something?
Comment 7 John Marino freebsd_committer 2014-07-12 08:40:29 UTC
okay, looking at bsd.port.mk, it seems PORTVERSION is not needed if DISTVERSION is given.  I don't think that removes the need for PORTREVISION?=0 though, otherwise slaves can't define PORTREVISION independently.
Comment 8 John Marino freebsd_committer 2014-07-12 08:43:22 UTC
I am going to convert all these .cfg.dist to .cfg.sample so we can use the cleaner @sample keyword in pkg-plist
Comment 9 John Marino freebsd_committer 2014-07-12 09:17:27 UTC
It turns out that the vendor makefile tries to change ownership to mfs:mfs before the user and group are created, so I have to patch the makefile.  Since I'm patching it anyway, I'm putting the .dist => .sample change here as well instead of post-install.

combine with using @owner, @group in the pkg-plist, it's passing poudriere testport now.
Comment 10 John Marino freebsd_committer 2014-07-12 10:06:17 UTC
okay, I see now that there is no shared information like PORTVERSION or distinfo.  Each slave port stands alone, so there's no need for portrevision?= 0
Comment 11 commit-hook freebsd_committer 2014-07-12 10:17:16 UTC
A commit references this bug:

Author: marino
Date: Sat Jul 12 10:17:00 UTC 2014
New revision: 361607
URL: http://svnweb.freebsd.org/changeset/ports/361607

  sysutils/moosefs-*: Upgrade version 1.6.27 => 1.6.27-5 and Stage support

  This was a master and two slave ports.  Now each port stands alone, each
  with it's own defined distinfo which allows for the separate mk to be

    * Ownership of slave ports restored to chifeng.  They were reset in
      error because their staging was combined with master staging
    * Configure locations uniformly fixed to /etc/mfs
    * cgiserv now runs as unpriviledged user
    * Fixes ability to reload config without restarting
    * Uses @sample keyword for config files now
    * fixes -master, -chunkserver, and -client ports

  PR:		191046
  Submitted by:	takeda (takeda.tk)
  Approved by:	maintainer (chifeng)
  Minor fixes:	marino

Comment 12 John Marino freebsd_committer 2014-07-12 10:20:49 UTC
Okay, it's done.  chifeng has been removed as maintainer from the slave ports but I put him back.  He was removed since no PR existed for his ports but obviously it did (just combined with -master PR)